unit readthread;

interface

uses
  Classes, Windows, Messages;

const
  WM_PRPCARD = WM_USER + 13;

type
  TReadCardThread = class(TThread)
  private
  protected
    procedure Execute; override;
  public
    usb: THandle;
    HWND: THandle;
  end;

implementation

uses prp03;

{ TReadCardThread }

procedure TReadCardThread.Execute;
var
  CardCode: DWORD;
  Foss: BYTE;
  res: integer;
begin
  while not Terminated do
  begin
    res := GetCardCode(usb, CardCode, Foss);
    if res = COMGetOK then
     if (CardCode <> 0) then
       PostMessage(HWND, WM_PRPCARD, CardCode, Foss);
  end;
end;

end.
